Bullet Collision Detection & Physics Library: btSoftBody::RayFromToCaster Struct Reference

Bullet Collision Detection & Physics Library

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | Static Public Member Functions | Public Attributes | List of all members
btSoftBody::RayFromToCaster Struct Reference

RayFromToCaster takes a ray from, ray to (instead of direction!) More...

`#include <btSoftBody.h>`

Inheritance diagram for btSoftBody::RayFromToCaster:
[legend]
Collaboration diagram for btSoftBody::RayFromToCaster:
[legend]

## Public Member Functions
| RayFromToCaster (const btVector3 &rayFrom, const btVector3 &rayTo, btScalar mxt)
void | Process (const btDbvtNode *leaf)
Public Member Functions inherited from btDbvt::ICollide
DBVT_VIRTUAL void | Process (const btDbvtNode *, const btDbvtNode *)
DBVT_VIRTUAL void | Process (const btDbvtNode *)
DBVT_VIRTUAL void | Process (const btDbvtNode *n, btScalar)
DBVT_VIRTUAL void | Process (const btDbvntNode *, const btDbvntNode *)
DBVT_VIRTUAL bool | Descent (const btDbvtNode *)
DBVT_VIRTUAL bool | AllLeaves (const btDbvtNode *)

## Static Public Member Functions
static btScalar | rayFromToTriangle (const btVector3 &rayFrom, const btVector3 &rayTo, const btVector3 &rayNormalizedDirection, const btVector3 &a, const btVector3 &b, const btVector3 &c, btScalar maxt=SIMD_INFINITY)

## Public Attributes
btVector3 | m_rayFrom
btVector3 | m_rayTo
btVector3 | m_rayNormalizedDirection
btScalar | m_mint
Face * | m_face
int | m_tests

## Detailed Description

RayFromToCaster takes a ray from, ray to (instead of direction!)

Definition at line 761 of file btSoftBody.h.

## Constructor & Destructor Documentation

## ◆ RayFromToCaster()

btSoftBody::RayFromToCaster::RayFromToCaster | ( | const btVector3 & | rayFrom,
|  | const btVector3 & | rayTo,
|  | btScalar | mxt )

Definition at line 2355 of file btSoftBody.cpp.

## Member Function Documentation

## ◆ Process()

void btSoftBody::RayFromToCaster::Process | ( | const btDbvtNode * | leaf | ) |

Definition at line 2366 of file btSoftBody.cpp.

## ◆ rayFromToTriangle()

btScalar btSoftBody::RayFromToCaster::rayFromToTriangle | ( | const btVector3 & | rayFrom,
|  | const btVector3 & | rayTo,
|  | const btVector3 & | rayNormalizedDirection,
|  | const btVector3 & | a,
|  | const btVector3 & | b,
|  | const btVector3 & | c,
|  | btScalar | maxt = SIMD_INFINITY )
| static

Definition at line 2383 of file btSoftBody.cpp.

## Member Data Documentation

## ◆ m_face

Face* btSoftBody::RayFromToCaster::m_face

Definition at line 767 of file btSoftBody.h.

## ◆ m_mint

btScalar btSoftBody::RayFromToCaster::m_mint

Definition at line 766 of file btSoftBody.h.

## ◆ m_rayFrom

btVector3 btSoftBody::RayFromToCaster::m_rayFrom

Definition at line 763 of file btSoftBody.h.

## ◆ m_rayNormalizedDirection

btVector3 btSoftBody::RayFromToCaster::m_rayNormalizedDirection

Definition at line 765 of file btSoftBody.h.

## ◆ m_rayTo

btVector3 btSoftBody::RayFromToCaster::m_rayTo

Definition at line 764 of file btSoftBody.h.

## ◆ m_tests

int btSoftBody::RayFromToCaster::m_tests

Definition at line 768 of file btSoftBody.h.

The documentation for this struct was generated from the following files:

- btSoftBody.h
- btSoftBody.cpp